コンテンツへスキップ

Stable Audio 3 Trainer

統合

モデルID stable-audio-3-trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/stable-audio-3-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio_data_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $3.00 3,000 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Stability AI トレーニング 1–380 s #music#audio#sfx#lora

音声クリップと対応するテキストキャプションのzipから、Stable Audio 3用のLoRAを学習

Stability AI · ファイル

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

データセットのzip URL。各音声・キャプションのペアを、対応するベース名で一緒に保存します。例えば`clip.wav`は`clip.txt`と対応します。キャプションには`.txt`拡張子を使用する必要があります。

デフォルト 1000

LoRA トレーニングのステップ数。

秒単位のクロップ・パディング長。選択したモデル固有のトレーニング長によって常に制限されます。長さを指定するか省略すると、上限内でデータセットから検出された最長クリップを使用します。

デフォルト 1

トレーニングで使用するバッチサイズ。

詳細設定 model · base_precision · adapter_type · lora_checkpoint_url · learning_rate · rank · seed · pre_encode · include · exclude
model デフォルト medium-base

Stable Audio 3のファインチューニング用ベースチェックポイント。

base_precision デフォルト bf16

凍結されたベース重みに使用する精度。LoRAパラメータはfp32のままです。

デフォルト dora-rows

LoRAトレーニングに使用するアダプターファミリー。

再開元となる`.safetensors` LoRAチェックポイントの任意のURL。

デフォルト 0.0001

AdamWがLoRAパラメータに適用する学習率。

デフォルト 16

LoRAアダプターのランク。

デフォルト 42

ランダム化用のシード。

LoRAを追加する場所を制限するモジュール名の部分文字列。一致するモジュールだけが対象になります。

一致するモジュールを除外するための名前の部分文字列。

POST /run/stable-audio-3-trainer?wait=20 見積もり → $3.00
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/stable-audio-3-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio_data_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Stable Audio 3 Trainerについて

ベースチェックポイント(medium-base、small-music-base、small-sfx-base)を、各音声ファイルと同名の`.txt`キャプションを含む`audio_data_url`のzipでファインチューニングします。`number_of_steps`(最大20000)、`learning_rate`、`rank`(1から256)、`adapter_type`、`batch_size`を調整でき、`.safetensors`チェックポイントから再開することもできます。LoRAの重みと設定ファイルを返します。

パラメータ

名前型 デフォルト許可される値 説明
audio_data_url必須
型string
データセットのzip URL。各音声・キャプションのペアを、対応するベース名で一緒に保存します。例えば`clip.wav`は`clip.txt`と対応します。キャプションには`.txt`拡張子を使用する必要があります。
model任意
型enum
デフォルトmedium-base
medium-basesmall-music-basesmall-sfx-base
Stable Audio 3のファインチューニング用ベースチェックポイント。
number_of_steps任意
型integer
デフォルト1000
1 – 20,000
LoRA トレーニングのステップ数。
learning_rate任意
型number
デフォルト0.0001
≤ 0.01> 0
AdamWがLoRAパラメータに適用する学習率。
rank任意
型integer
デフォルト16
1 – 256
LoRAアダプターのランク。
adapter_type任意
型enum
デフォルトdora-rows
loradoradora-rowsdora-colsboralora-xsdora-rows-xsdora-cols-xsbora-xs
LoRAトレーニングに使用するアダプターファミリー。
duration任意
型number | null
1 – 380
秒単位のクロップ・パディング長。選択したモデル固有のトレーニング長によって常に制限されます。長さを指定するか省略すると、上限内でデータセットから検出された最長クリップを使用します。
batch_size任意
型integer
デフォルト1
1 – 8
トレーニングで使用するバッチサイズ。
seed任意
型integer
デフォルト42
0 – 2,147,483,647
ランダム化用のシード。
base_precision任意
型enum
デフォルトbf16
bf16bfloat16fp16float16
凍結されたベース重みに使用する精度。LoRAパラメータはfp32のままです。
include任意
型string[]
LoRAを追加する場所を制限するモジュール名の部分文字列。一致するモジュールだけが対象になります。
exclude任意
型string[]
一致するモジュールを除外するための名前の部分文字列。
lora_checkpoint_url任意
型string | null
再開元となる`.safetensors` LoRAチェックポイントの任意のURL。
pre_encode任意
型boolean
デフォルトfalse
LoRAのトレーニング前に音声アーカイブをSAME潜在表現へ事前エンコードします。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "stable-audio-3-trainer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3000,
    "usd": "3.00",
    "charged": 3000,
    "refunded": 0
  },
  "input": {
    "audio_data_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "lora_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "config_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
lora_file
object {url, content_type, file_name, file_size}Stable Audio 3用にトレーニングされたLoRA重み。
config_file
object {url, content_type, file_name, file_size}トレーニング実行と推論に対応するモデルを説明するJSONメタデータ。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/stable-audio-3-trainer.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt